Remplacer la liste de contrôle d’accès IP
curl --request PUT \
--url https://api.devin.ai/v3/enterprise/ip-access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_ranges": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3/enterprise/ip-access-list"
payload = { "ip_ranges": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_ranges: ['<string>']})
};
fetch('https://api.devin.ai/v3/enterprise/ip-access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip_ranges": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Liste d’accès IP (Entreprise)
Remplacer la liste de contrôle d’accès IP
PUT
/
v3
/
enterprise
/
ip-access-list
Remplacer la liste de contrôle d’accès IP
Il s’agit d’une opération potentiellement destructive. Cet endpoint remplace l’intégralité de la liste d’accès IP — toute plage d’adresses IP non incluse dans le corps de la requête sera supprimée, ce qui peut empêcher l’accès des utilisateurs et des intégrations. Incluez toutes les plages souhaitées dans chaque requête.
Autorisations
ManageIPWhitelist au niveau de l’Enterprise.⌘I

